### Constructor

# Cogl Scanout new

#### Declaration [src]

    CoglScanout*
    cogl_scanout_new (
      CoglScanoutBuffer* scanout_buffer,
      const MtkRectangle* dst_rect
    )

#### Description

No description available.

#### Parameters

`scanout_buffer`

  Type: `CoglScanoutBuffer`

  No description available.

  The data is owned by the caller of the function.

`dst_rect`

  Type: `MtkRectangle`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `CoglScanout`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.